Docs
Get an API key
API reference›Vector Store

Create Collection

POST /v1/vector_store View .md

Creates a vector store collection for searchable embeddings.

Create Vector Store Request Payload

  • name string required

    The name of the vector store collection. This is also used to auto-generate a unique ID for the record.

OK

application/json · get-vector-store-response-payload

1 field
  • collection object

    An object representing a vector store collection containing embeddings records.

    3 fields
    • id string

      The unique ID of the vector store collection.

    • name string

      The name of the vector store collection.

    • created string

      The UTC creation timestamp of the vector store collection in ISO 8601 format.

curl https://api.vultrinference.com/v1/vector_store \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string"
  }'
Response · 201
{
    "collection": {
        "id": "string",
        "name": "string",
        "created": "string"
    }
}